Package org.zkoss.zk.ui.metainfo

## Class ResponseHeaderInfo

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.ResponseHeaderInfo

-     public class ResponseHeaderInfo
      extends java.lang.Object

  Represents a setting of a response header. The setting specified here will become the response's header.

  It is a bit confusing that `ResponseHeaderInfo` represents a setting of the response's header. `HeaderInfo` represents a tag located in the header of the generated content of a page. For example, if the client is a HTTP browser, then `ResponseHeaderInfo` is equivalent to invoke `Execution.setResponseHeader(java.lang.String, java.lang.String)` and `Execution.addResponseHeader(java.lang.String, java.lang.String)`. And, `HeaderInfo` represents the <link>, <meta> and <script> HTML tags

  It is not serializable.

  Since:
    5.0.2
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResponseHeaderInfo​(java.lang.String name, java.lang.String value, java.lang.String append, ConditionImpl cond)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the response header's name.
    `java.lang.Object` | `getValue​(PageDefinition pgdef, Page page)` | Returns the value of the response header.
    `boolean` | `shallAppend​(PageDefinition pgdef, Page page)` | Returns whether to append the response header, rather than replace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseHeaderInfo

          public ResponseHeaderInfo​(java.lang.String name,
                                    java.lang.String value,
                                    java.lang.String append,
                                    ConditionImpl cond)

      Constructor.
      Parameters:
        `name` - the header's name, such as Refresh.
        `value` - the header's value. It could contain EL expressions. It could be evaluated to a string, or a date (`Date`).
        `append` - whether to append the header, or to set the header. It could contain EL expressions.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the response header's name.

    - #### getValue

          public java.lang.Object getValue​(PageDefinition pgdef,
                                           Page page)

      Returns the value of the response header.
      Returns:
        the value which is an instance of `Date` or `String` (and never null).

    - #### shallAppend

          public boolean shallAppend​(PageDefinition pgdef,
                                     Page page)

      Returns whether to append the response header, rather than replace.